import maya.mel
from mtoa.ui.ae.shaderTemplate import ShaderAETemplate

class AEapParallaxMapTemplate(ShaderAETemplate):
    def setup(self):
        self.addSwatch()
        self.beginScrollLayout()
        self.beginLayout("Settings", collapse=False)
        self.addControl('standard_surface', label='Standard Surface', annotation='Standard Surface Shader')
        self.addControl('parallax_map', label='Parallax Map', annotation='Parallax Map')
        self.addControl('parallax_value', label='Parallax Value', annotation='Parallax Scale Value')
        self.addControl('min_layers', label='Min Layers', annotation='Min Sample Layers')
        self.addControl('max_layers', label='Max Layers', annotation='Max Sample Layers')
        self.addControl('search_number', label='Search Number', annotation='Max Binary Search Number')
        self.addControl('self_shadow', label='Self Shadow', annotation='Self Shadow')
        self.addControl('shadow_opacity', label='Shadow Opacity', annotation='Shadow Opacity')
        self.endLayout()
        maya.mel.eval('AEdependNodeTemplate '+self.nodeName)
        self.addExtraControls()
        self.endScrollLayout()
        
